Subject: Re: [wishlist] support git flow-like view

From: Lisandro Damián Nicanor Pérez Meyer <[email-masked]>
Date: Tue, 20 Nov 2012 21:13:36 -0300

On Tue 20 Nov 2012 20:56:26 Andrew Ardill escribió:
> On 21 November 2012 10:42, Lisandro Damián Nicanor Pérez Meyer
> 
> <[email-masked]> wrote:
> > Hi! I am not suscribed to the list, so please CC-me.
> 
> That is the default etiquette on this list :)

Great :-)
 
> > I think this may have been proposed before, but I could not find anything
> > in the web, so I better try myself :)
> > 
> > The idea would be to gitk to show a "git flow-like"[0] view when it
> > detects git flow (or the user ask for it or...)
> 
> What does it mean to 'show a "git flow-like" view'? Show multiple
> branches? Place commits on each branch in 'swim-lanes', rather than
> moving them around on the horizontal to fit the space available? Some
> more detail, or even a mock-up would help a lot here.

I think the best mock-up would be:

<http://nvie.com/img/2009/12/Screen-shot-2009-12-24-at-11.32.03.png>

Yes, I'm referring to "swim-lanes" like view. Which may be already there and 
I'm miserably failing to see :-/

> > Basiccaly, you can show the main two branches: master and develop. Of
> > course, having the possibility to show feature/release/hotfixes branches
> > would be ideal.
> 
> It is already possible to show multiple branches in gitk at the same
> time. You probably have some more specific needs beyond simply showing
> the different branches. Maybe you can be more specific?

Well, two ideas come to my mind:

- detect when using git flow (.git/config contains [gitflow "some_branch"] 
entries).
- Show "swim-lane"-like graphs, including branches that may not be present, 
but where there (release branches often are created and merged back, for 
example)

Maybe some of this is already there and/or it's too much trouble to do so, in 
those cases, please accept my apologies :-)

Kinds regards, Lisandro.

-- 
Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/